package intrinsic.mx.events;

public class PropertyChangeEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public Object newValue;
	public Object source;
	public Object property;
	public String kind;
	public Object oldValue;

	/** Constants */
	public static final String VERSION = "version";
	public static final String PROPERTY_CHANGE = "property_change";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public PropertyChangeEvent() {
}

public PropertyChangeEvent(String arg0) {
}

public PropertyChangeEvent(String arg0, boolean arg1) {
}

public PropertyChangeEvent(String arg0, boolean arg1, boolean arg2) {
}

public PropertyChangeEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public PropertyChangeEvent(String arg0, boolean arg1, boolean arg2, String arg3, Object arg4) {
}

public PropertyChangeEvent(String arg0, boolean arg1, boolean arg2, String arg3, Object arg4, Object arg5) {
}

public PropertyChangeEvent(String arg0, boolean arg1, boolean arg2, String arg3, Object arg4, Object arg5, Object arg6) {
}

public PropertyChangeEvent(String arg0, boolean arg1, boolean arg2, String arg3, Object arg4, Object arg5, Object arg6, Object arg7) {
}


/** Static Methods */
public static native intrinsic.mx.events.PropertyChangeEvent createUpdateEvent(Object arg0, Object arg1, Object arg2, Object arg3);

/** Methods */
public native Object clone();

}
